<?php

namespace Schaffen\Core\Company\Models;

use Illuminate\Database\Eloquent\Model;
use Schaffen\Core\Person\Models\Person;

class Branch extends Model
{
   protected $connection = 'dynamicdb';
   const CREATED_AT = "fil_date_insert";
   const CREATED_BY = "fil_user_insert";
   const UPDATED_AT = "fil_date_update";
   const UPDATED_BY = "fil_user_update";
   protected $table = "cadastro.filial";
   protected $primaryKey = "fil_codigo";
   protected $fillable = [
      "fil_codigo",
      "fil_descricao",
      "fil_fk_pes_codigo",
      "fil_codigo_filial",
      "fil_codigo_regime_tributario",
      "fil_informacoes_contribuinte",
      "fil_sefaz_ambiente",
      "fil_tipo_ambiente",
      "fil_certificado_passwd",
      "fil_certificado_validade",
      "fil_csc_producao",
      "fil_csc_homologacao",
      "fil_csc_token_producao",
      "fil_csc_token_homologacao",
      "fil_percentual_ibpt",
      "fil_ie_substituicao_tributaria",
      "fil_ibpt_estadual",
      "fil_ibpt_municipal",
      "fil_nfse_observacao",
      "fil_dias_antes_vencimento",
      "fil_dias_apos_vencimento",
      "fil_mensagem_apos_vencimento",
      "fil_mensagem_antes_vencimento",
      "fil_prefixo_cod_auxiliar_produto"
   ];

   public function FilialTaxServiceTelecomunication()
   {
      //Tabela 2 referencia 1
      return $this->hasMany(FilialTaxServiceTelecomunication::class, 'fist_fk_fil_codigo');
   }

   public function Pessoa()
   {
      //Tabela 2 referencia 1
      return $this->belongsTo(Person::class, 'fil_fk_pes_codigo');
   }

}
