<?php

namespace Schaffen\Core\Form\Models;


use Illuminate\Database\Eloquent\Model;

class Field extends Model
{

    const SIGNATURE = 1;
    const PICKER = 2;
    const IMAGE = 3;
    const INTEGER = 4;
    const CHECKBOX = 5;
    const NUMERIC = 6;
    const RADIO = 7;
    const SWITCH = 8;
    const TEXT = 9;

    static array $field_types = [
        self::SIGNATURE => "Assinatura",
        self::PICKER => "Caixa de seleção",
        self::IMAGE => "Foto",
        self::INTEGER => "Inteiro",
        self::CHECKBOX => "Multi-valores",
        self::NUMERIC => "Numérico",
        self::RADIO => "Seleção mutuamente exclusiva",
        self::SWITCH => "Sim/Não",
        self::TEXT => "Texto"
    ];


    static array $multiples_options_fields = [
        self::PICKER,
        self::CHECKBOX,
        self::RADIO
    ];

    static array $images = [
        self::IMAGE,
        self::SIGNATURE
    ];

    protected $connection = "dynamicdb";
    protected $table = "cadastro.campo";
    protected $primaryKey = "cam_codigo";
    protected $fillable = [
        "cam_label", "cam_tipo", "cam_opcoes", "cam_justificativa"
    ];

    protected $casts = [
        "cam_opcoes" => 'json'
    ];

    public function form_fields()
    {
        return $this->hasMany(FormField::class, 'cafo_fk_cam_codigo');
    }

    public function forms()
    {
        return $this->hasManyThrough(
            Form::class,
            FormField::class,
            'cafo_fk_cam_codigo',
            'form_codigo',
            'cam_codigo',
            'cafo_fk_form_codigo'
        );
    }

}
